package com.muyu.domain;

import com.muyu.common.core.web.domain.BaseEntity;

import java.util.Date;

/** 车辆入驻表
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/5/26 20:31
 */
public class Vehicle extends BaseEntity {
    private Long id;
    // 车辆唯一标识
    private String vin;
  // 车辆识别号码（VIN）
    private String brand;// 品牌
    private String model;
    private int manufactureYear; // 生产年份
    private String bodyType;   // 车身类型，例如"Sedan", "SUV"
    private String color;  // 车身颜色
    private double engineCapacity;
    // 发动机排量，单位升
    private String fuelType; // 燃油类型，例如"Petrol", "Diesel", "Electric"
    private String transmission;// 变速器类型，例如"Automatic", "Manual"
    private String driveType;  // 驱动方式，例如"FWD", "RWD", "AWD"
    private long mileage; // 行驶里程，单位公
    private Date registrationDate; // 注册日期
    private String registrationNumber;    // 车牌号码
    private String ownerId;



}
