package com.muyu.domain.req;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

/**
 * 电子围栏组对象 fence_groups
 *
 * @author muyu
 * @date 2024-06-02
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "FenceGroupsQueryReq", description = "电子围栏组")
public class FenceGroupsQueryReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 电子围栏名称 */
    @ApiModelProperty(name = "电子围栏名称", value = "电子围栏名称")
    private String groupName;

}
