package com.muyu;

import cn.hutool.core.lang.hash.Hash;
import com.alibaba.fastjson2.JSON;
import lombok.extern.log4j.Log4j2;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.net.HttpURLConnection;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;
import java.util.HashMap;

/**
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/5/30 21:55
 */
@Log4j2
public class Test {
    public static void main(String[] args)  {
        // 测试
        String url="http://115.159.67.205:10006/webhook/%E5%A2%9E%E5%80%BC%E6%9C%8D%E5%8A%A1";
        HashMap<String, String> hashMap = new HashMap<>();
        hashMap.put("entId","1");
        hashMap.put("mysqlPort","port");
        String json = JSON.toJSONString(hashMap);
        // 创建连接与设置连接参数
        URL urlObj=null;
        try {
            URL postMan = new URL(url);
            HttpURLConnection httpConn = (HttpURLConnection) urlObj.openConnection();
            httpConn.setRequestMethod("POST");
            httpConn.setRequestProperty("Content-Type", "application/json");
            httpConn.setDoOutput(true);
            httpConn.setDoInput(true);
            OutputStream outputStream = httpConn.getOutputStream();
            outputStream.write(json.getBytes());
            outputStream.flush();
            if (httpConn.getResponseCode()!=200){
                throw new Exception("调用服务端异常");
            }
            BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(httpConn.getInputStream()));
            String resultData = bufferedReader.readLine();
            log.info(resultData);
            bufferedReader.close();
            httpConn.disconnect();
        } catch (IOException e) {
            throw new RuntimeException(e);
        } catch (Exception e) {
            throw new RuntimeException(e);
        }
    }
}
