package com.muyu.networking.controller;

import com.muyu.common.core.domain.Result;
import com.muyu.domain.datasources.EntInfo;
import com.muyu.networking.service.EntInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/6/10 20:55
 */
@RestController
@RequestMapping("/entInfo")
public class EntInfoController {
    @Autowired
    private EntInfoService entInfoService;

    @GetMapping("/list")
    public Result<List<EntInfo>> list() {
        List<EntInfo> list = entInfoService.list();
        return Result.success(list);
    }

    @PostMapping("/add")
    public Result add(@RequestBody EntInfo entInfo) {
        entInfoService.save(entInfo);
        return Result.success();
    }


}
