package com.muyu.networking.service.impl;


import com.muyu.common.core.utils.DateUtils;
import com.muyu.domain.ModeOfPayment;
import com.muyu.networking.mapper.ModeOfPaymentIdMapper;
import com.muyu.networking.service.ModeOfPaymentIdService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2024-05-25
 */
@Service
public class ModeOfPaymentIdServiceImpl implements ModeOfPaymentIdService
{
    @Autowired
    private ModeOfPaymentIdMapper modeOfPaymentIdMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public ModeOfPayment selectModeOfPaymentIdById(Long id)
    {
        return modeOfPaymentIdMapper.selectModeOfPaymentIdById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param modeOfPaymentId 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<ModeOfPayment> selectModeOfPaymentIdList(ModeOfPayment modeOfPaymentId)
    {
        return modeOfPaymentIdMapper.selectModeOfPaymentIdList(modeOfPaymentId);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param modeOfPaymentId 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertModeOfPaymentId(ModeOfPayment modeOfPaymentId)
    {
        modeOfPaymentId.setCreateTime(DateUtils.getNowDate());
        return modeOfPaymentIdMapper.insertModeOfPaymentId(modeOfPaymentId);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param modeOfPaymentId 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateModeOfPaymentId(ModeOfPayment modeOfPaymentId)
    {
        modeOfPaymentId.setUpdateTime(DateUtils.getNowDate());
        return modeOfPaymentIdMapper.updateModeOfPaymentId(modeOfPaymentId);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteModeOfPaymentIdByIds(Long[] ids)
    {
        return modeOfPaymentIdMapper.deleteModeOfPaymentIdByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteModeOfPaymentIdById(Long id)
    {
        return modeOfPaymentIdMapper.deleteModeOfPaymentIdById(id);
    }
}
