//package com.muyu.vehicle.interceptor;
//
//
//import com.muyu.vehicle.service.DataSourceService;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Component;
//import org.springframework.web.method.HandlerMethod;
//import org.springframework.web.servlet.AsyncHandlerInterceptor;
//
//import javax.servlet.http.HttpServletRequest;
//import javax.servlet.http.HttpServletResponse;
//
///**
// * @ClassName SaasInterceptor
// * @Author  zhangxu
// * @Date 2024/6/3 21:09
// */
//@Component
//public class SaasInterceptor implements AsyncHandlerInterceptor {
//
//    @Autowired
//    private DataSourceService changeDataSourceService;
//
//    @Override
//    public boolean preHandle(HttpServletRequest request, HttpServletResponse response, Object handler) throws Exception {
//        // 解决跨域问题
//        //1.如果请求不是动态的,handler对象不是HandlerMethod的实例(静态页面).放行
//        //2.如果请求是跨域请求(请求方法是:OPTIONS),handler对象不是HandlerMethod
//        if (!(handler instanceof HandlerMethod)) {
//            return true;
//        }
//        String datasourceCode = request.getHeader("datasource-code");
//        if(datasourceCode==null){
//            throw new RuntimeException("请求不合法");
//        }
//        changeDataSourceService.changeDS(Long.valueOf(datasourceCode));
//        return true;
//    }
//
//    @Override
//    public void afterCompletion(HttpServletRequest request, HttpServletResponse response, Object handler, Exception ex) throws Exception {
//        // 切换为默认数据源
//        changeDataSourceService.toDefaultDS();
//    }
//
//
//}
//
