package com.muyu.vehicle.service.Impl;



import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.core.utils.DateUtils;
import com.muyu.domain.Information;
import com.muyu.vehicle.mapper.InformationMapper;
import com.muyu.vehicle.service.IInformationService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2024-05-27
 */
@Service
public class InformationServiceImpl extends ServiceImpl<InformationMapper, Information> implements IInformationService
{
    @Autowired
    private InformationMapper informationMapper;



    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public Information selectInformationById(Long id)
    {
        return informationMapper.selectInformationById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param information 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<Information> selectInformationList(Information information)
    {


        return informationMapper.selectInformationList(information);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param information 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertInformation(Information information)
    {
        information.setCreateTime(DateUtils.getNowDate());
        return informationMapper.insertInformation(information);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param information 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateInformation(Information information)
    {
        information.setUpdateTime(DateUtils.getNowDate());
        return informationMapper.updateInformation(information);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteInformationByIds(Long[] ids)
    {
        return informationMapper.deleteInformationByIds(ids);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteInformationById(Long id)
    {
        return informationMapper.deleteInformationById(id);
    }
}
