package com.muyu.domain.datasources;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/6/10 20:40
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@TableName("etn_info")
public class EntInfo {
    @TableId(type = IdType.AUTO)
    private Long id;

    private String entCode;

    private String ip;

    private Long port;


}
