package com.muyu.domain.datasources;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.io.Serializable;

/**
 * song_info对象
 *
 * @author
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("song_info")
public class SongInfo implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 编号 */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /** 歌名 */
    private String name;

    /** 类型 */
    private String type;

    /** 艺术家 */
    private String artist;

    /** 封面 */
    private String cover;

    /** 歌词 */
    private String lrc;

    /** 源文件 */
    private String url;

}

