package com.muyu.domain.req;

import com.muyu.domain.Fences;
import lombok.Data;

import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.muyu.common.core.web.domain.BaseEntity;

import java.util.List;

/**
 * 电子围栏组对象 fence_groups
 *
 * @author muyu
 * @date 2024-06-02
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@ApiModel(value = "FenceGroupsSaveReq", description = "电子围栏组")
public class FenceGroupsSaveReq extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 电子围栏组id */

    @ApiModelProperty(name = "电子围栏组id", value = "电子围栏组id")
    private Long id;

    /** 电子围栏名称 */

    @ApiModelProperty(name = "电子围栏名称", value = "电子围栏名称")
    private String groupName;

    private List<Fences> fencesList;

}
