package com.muyu.networking.service.impl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.datasources.EntInfo;
import com.muyu.networking.mapper.EntInfoMapper;
import com.muyu.networking.service.EntInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.annotation.AccessType;

import java.util.List;


/**
 * @ClassDescription:
 * @JdkVersion: 17
 * @Author: zhangxu
 * @Created: 2024/6/10 20:56
 */
public class EntInfoServiceImpl extends ServiceImpl<EntInfoMapper, EntInfo> implements EntInfoService {


    @Autowired
    private EntInfoMapper entInfoMapper;


    @Override
    public List<EntInfo> selectEnterpriseList(EntInfo entInfo) {
        LambdaQueryWrapper<EntInfo> entInfoLambdaQueryWrapper = new LambdaQueryWrapper<>();
        return entInfoMapper.selectList(entInfoLambdaQueryWrapper);
    }
}
