package com.muyu.vehicle.service;
import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.domain.datasources.SongInfo;

import java.util.List;

/** 多数据源
 * songService接口
 *
 * @author
 * @date 2024-05-16
 */
public interface SongService extends IService<SongInfo> {   // song_info对象
    /**
     * 查询song列表
     *
     * @return song集合
     */
    public List<SongInfo> list();   // song_info对象

}

